<?php

namespace RUMCWV;

if (!defined('ABSPATH')) {
    die('Let\'s not do this');
}
?>



<div class="cwv-tab-panel" id="tab-rum" style="display: none;">
    <h2 class="cwv-tab-heading">
        <svg class="icon">
            <use xlink:href="#icon-wrench"></use>
        </svg>
        Set-up PageSpeed Monitoring
        <svg data-help=".rumhelp" class="cwv-help helpicon">
            <use xlink:href="#icon-question"></use>
        </svg>
    </h2>


    <div class="cwvhelptext rumhelp">
        <p>PageSpeed monitoring is a great way to keep track of the performance of your website.
            It measures the Real User Metrics (RUM) of your website (allmost) idential on how Google measures the Core Web Vitals.
            It will give you a good overview of the <a href="https://www.corewebvitals.io">Core Web Vitals</a> of your site without affecting performance.
            It will also give you a good overview of the performance of your site over time.
    </div>


    <table class="form-table" width="100%">
        <tr valign="top">
            <th scope="row">RUM Tracking</th>
            <td>
                <div class="switch-field">
                    <input name="rum_cwv_collect_rum" id="rum_cwv_collect_rum0" type="radio" value="0" <?php checked('0', RUMCWV_Options::get('rum_cwv_collect_rum')); ?> /><label for="rum_cwv_collect_rum0">no</label>
                    <input name="rum_cwv_collect_rum" id="rum_cwv_collect_rum1" type="radio" value="1" <?php checked('1', RUMCWV_Options::get('rum_cwv_collect_rum')); ?> /><label for="rum_cwv_collect_rum1">yes</label>
                </div>
            </td>
        </tr>
        <tr valign="top" data-depends="rum_cwv_collect_rum">
            <th scope="row">Sample rate</th>
            <td>
                <select name="rum_cwv_sample_rate">
                    <option value="1" <?php selected('1', RUMCWV_Options::get('rum_cwv_sample_rate')); ?>>1%</option>
                    <option value="2" <?php selected('2', RUMCWV_Options::get('rum_cwv_sample_rate')); ?>>2%</option>
                    <option value="5" <?php selected('5', RUMCWV_Options::get('rum_cwv_sample_rate')); ?>>5%</option>
                    <option value="10" <?php selected('10', RUMCWV_Options::get('rum_cwv_sample_rate')); ?>>10%</option>
                    <option value="20" <?php selected('20', RUMCWV_Options::get('rum_cwv_sample_rate')); ?>>20%</option>
                    <option value="30" <?php selected('30', RUMCWV_Options::get('rum_cwv_sample_rate')); ?>>30%</option>
                    <option value="40" <?php selected('40', RUMCWV_Options::get('rum_cwv_sample_rate')); ?>>40%</option>
                    <option value="50" <?php selected('50', RUMCWV_Options::get('rum_cwv_sample_rate')); ?>>50%</option>
                    <option value="60" <?php selected('60', RUMCWV_Options::get('rum_cwv_sample_rate')); ?>>60%</option>
                    <option value="70" <?php selected('70', RUMCWV_Options::get('rum_cwv_sample_rate')); ?>>70%</option>
                    <option value="80" <?php selected('80', RUMCWV_Options::get('rum_cwv_sample_rate')); ?>>80%</option>
                    <option value="90" <?php selected('90', RUMCWV_Options::get('rum_cwv_sample_rate')); ?>>90%</option>
                    <option value="100" <?php selected('100', RUMCWV_Options::get('rum_cwv_sample_rate')); ?>>100%</option>
                </select>
                <p class="inlinehelp">
                    <b>Important</b>, adjust the sample rate to fetch about 200/500 samples per day.
                    The formula is really easy.
                    If you have 1000 visitors per day, you can set the sample rate to 20% to get 200 samples per day.
                    This will give you a good overview of the <a href="https://www.corewebvitals.io">Core Web Vitals</a> of your site without affecting performance.
                </p>
            </td>
        </tr>


        <tr valign="top" data-depends="rum_cwv_collect_rum">
            <th scope="row">Retention</th>
            <td>
                <select name="rum_cwv_sample_retention">
                    <option value="7" <?php selected('7', RUMCWV_Options::get('rum_cwv_sample_retention')); ?>>7 days</option>
                    <option value="14" <?php selected('14', RUMCWV_Options::get('rum_cwv_sample_retention')); ?>>14 days</option>
                    <option value="30" <?php selected('30', RUMCWV_Options::get('rum_cwv_sample_retention')); ?>>30 days</option>
                    <option value="60" <?php selected('60', RUMCWV_Options::get('rum_cwv_sample_retention')); ?>>60 days</option>
                    <option value="90" <?php selected('90', RUMCWV_Options::get('rum_cwv_sample_retention')); ?>>90 days</option>
                </select>
            </td>

        </tr>
        <tr valign="top" data-depends="rum_cwv_collect_rum">
            <th scope="row">Refresh data data</th>
            <td>
                <a id="cwv_tmp_to_main" class="button button-primary" href="#">Refresh RUM data</a>
                <p class="inlinehelp">
                    To optimize performance, the RUM data is stored in a temporary table. We will merge that data with the main table every hour. 
                    You can force that merge by clicking the button above.
                </p>
            </td>

        </tr>
        <tr valign="top" data-depends="rum_cwv_collect_rum">
            <th scope="row">Reset data</th>
            <td>
                <a id="cwv_truncate_rum" class="button button-primary" href="#">Reset RUM data</a>
                <p class="inlinehelp">
                    If, for any reason, you want to start measuring from scratch, you can reset the RUM data by clicking the button above.
                </p>
            </td>

        </tr>
    </table>




</div>